/*
 *  PHIGS.h
 *  PHIGS
 *
 *  Created by Simone Portuesi on 15/03/06.
 *  Copyright 2006 __MyCompanyName__. All rights reserved.
 *
 */

/* OpenGL implementation of PHIGS Orientation and View Mapping  */

/* PHIGS View Orientation Data */
struct PHIGS_ViewOrientation {
	double vrp[3];
	double vpn[3];
	double vuv[3];
};

/* Parallel or central projection */
enum PHIGS_PrjType { PARALLEL, PERSPECTIVE };

/* PHIGS View Box */
struct PHIGS_box {
	double u_min;
	double v_min;
	double u_max;
	double v_max;
	double front;
	double back;
};

/* PHIGS View Mapping Data */
struct PHIGS_ViewMapping {
	enum PHIGS_PrjType prjType;
	double prp[3];
	struct PHIGS_box box;
};

/* PHIGS View and Mapping data combined */
struct PHIGS_View {
	struct PHIGS_ViewOrientation orientation;
	struct PHIGS_ViewMapping mapping;
};

/* If true implements PHIGS model using GL view as much as possible */
extern int PHIGS_use_Gl;
